Lumaktaw sa nilalaman

Vidu · Q3 · Reference to Video · Mix

I-integrate

ID ng modelo vidu/q3/reference-to-video/mix
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q3/reference-to-video/mix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kahilingang ito: $0.77 770 kredito ng API · ≈ ₽82.84 Patakbuhin ito sa page na ito

Kumuha ng API key
Vidu Reference patungong Video Mga reference input1–16 shanggang 1080p

Q3 reference-to-video gamit ang 1-4 reference na larawan, limang aspect ratio, hanggang 16 segundo na may audio

Vidu · video

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan 88 / 2000

Mga text instruction para sa pagbuo ng video, na limitado sa 2000 character.

•kinakailangan reference_image_urls
Mag-drop ng file, o

Mga reference sa pagkakapare-pareho ng subject o scene, na ibinigay bilang larawan URL na may bilang mula 1 hanggang 4.

aspect_ratio default na 16:9

Aspect ratio ng output video.

resolution default na 720p

Resolution ng resultang video.

default na 5

Haba ng video sa segundo, mula 1 hanggang 16 para sa Q3 modelo.

advanced seed · audio

Seed na ginagawang reproducible ang pagbuo. Ang pagtatakda nito sa None ay random na pumipili ng seed.

POST /run/vidu/q3/reference-to-video/mix?wait=20 presyo → $0.77
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/vidu/q3/reference-to-video/mix?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa Vidu · Q3 · Reference to Video · Mix

Gumagawa ng video mula sa kinakailangang `prompt` (hanggang 2000 character) at 1 hanggang 4 na `reference_image_urls` na nagpapanatili sa pagkakapare-pareho ng subject o eksena. Ang `duration` ay 1-16 segundo, ang `resolution` ay 360p hanggang 1080p, at ang `aspect_ratio` ay 16:9, 9:16, 4:3, 3:4 o 1:1. Naka-on bilang default ang `audio`.

Mga parameter

Ipadala ang canonical na pangalan o ang native na pangalan, hindi pareho. Mga canonical na pangalan

PangalanUri defaultPinapayagan Paglalarawan
promptkinakailangan
Uristring
≤ 2,000 character
Mga text instruction para sa pagbuo ng video, na limitado sa 2000 character.
reference_image_urlskinakailangan images
Uriurl[] · image
Mga reference sa pagkakapare-pareho ng subject o scene, na ibinigay bilang larawan URL na may bilang mula 1 hanggang 4.
durationopsyonal
Uriinteger
default5
1 – 16
Haba ng video sa segundo, mula 1 hanggang 16 para sa Q3 modelo.
seedopsyonal
Uriinteger | null
Seed na ginagawang reproducible ang pagbuo. Ang pagtatakda nito sa None ay random na pumipili ng seed.
aspect_ratioopsyonal
Urienum
default16:9
16:99:164:33:41:1
Aspect ratio ng output video.
resolutionopsyonal
Urienum
default720p
360p540p720p1080p
Resolution ng resultang video.
audioopsyonal
Uriboolean
defaulttrue
Bumuo ng sound kasabay ng video sa pamamagitan ng direktang audio-video pagbuo sa pamamagitan ng pagtatakda nito sa true.
kinakailangan Canonical na pangalan, tinatanggap din

Tumatanggap ang mga parameter ng file ng pampublikong https:// URL, data: URI na hanggang 10 MB, o file_url ng isang upload. Mga file

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "vidu/q3/reference-to-video/mix",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 770,
    "usd": "0.77",
    "charged": 770,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "reference_image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
video
object {url, content_type, file_name, file_size}Video na ginawa ng Q3 modelo gamit ang mga reference larawan.

Higit pang modelo: Reference patungong Video

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/vidu/q3/reference-to-video/mix.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt